srcdir := $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST)))))
export realdestdir ?= $(abspath $(DESTDIR))

locales = ar cs da de el en-GB es-ES fr hu id it ja ko lt nl nn-NO pl pt-BR pt-PT ru sv-SE th tr uk vi zh-CN zh-TW
locales_targets = $(foreach locale,$(locales),$(realdestdir)/floorp/browser/locales/l10n-central/$(locale)/browser/browser/preferences/preferences.ftl)

all: pref-pane-small $(realdestdir)/browser/themes/shared/preferences/category-firedragon.svg $(realdestdir)/browser/themes/shared/preferences/firedragon.css $(realdestdir)/browser/components/preferences/firedragon.inc.xhtml $(realdestdir)/browser/components/preferences/firedragon.js $(realdestdir)/browser/locales/en-US/browser/preferences/preferences.ftl $(locales_targets)

pref-pane-small: pref-pane-small.patch
	patch -Nsp1 -d $(realdestdir) -i $(srcdir)/pref-pane-small.patch

$(realdestdir)/browser/themes/shared/preferences/category-firedragon.svg: category-firedragon.svg
	cp category-firedragon.svg $(realdestdir)/browser/themes/shared/preferences/category-firedragon.svg

$(realdestdir)/browser/themes/shared/preferences/firedragon.css: firedragon.css
	cp firedragon.css $(realdestdir)/browser/themes/shared/preferences/firedragon.css

$(realdestdir)/browser/components/preferences/firedragon.inc.xhtml: firedragon.inc.xhtml
	cp firedragon.inc.xhtml $(realdestdir)/browser/components/preferences/firedragon.inc.xhtml

$(realdestdir)/browser/components/preferences/firedragon.js: firedragon.js
	cp firedragon.js $(realdestdir)/browser/components/preferences/firedragon.js

$(realdestdir)/browser/locales/en-US/browser/preferences/preferences.ftl: preferences.ftl
	cat < preferences.ftl >> $(realdestdir)/browser/locales/en-US/browser/preferences/preferences.ftl

$(locales_targets): $(realdestdir)/floorp/browser/locales/l10n-central/%/browser/browser/preferences/preferences.ftl: l10n/%/preferences.ftl
	cat < l10n/$*/preferences.ftl >> $(realdestdir)/floorp/browser/locales/l10n-central/$*/browser/browser/preferences/preferences.ftl

.PHONY: all pref-pane-small $(realdestdir)/browser/locales/en-US/browser/preferences/preferences.ftl $(locales_targets)
